Subject: Re: CCL:Coalition to Ban Dihydrogen

From: [email-masked] (Jesus M. Castagnetto Mizuaray)
Date: Wed, 14 Dec 1994 11:04:08 -0500 (EST)

I forgot (dim--wit me) to credit the C&EN News for the info about
this WWW page that is helping us understand this insiduous
contaminant :-J.
Have fun with this info and I assure you some non-chemists will
fall for it without even giving it an ounce of thought (some of
my friends did, most enjoyed it).
Greetings. Sorry this wasn't too CCL info, but I couldn't resist
it was too funny.
-----
    Jesus M. Castagnetto Mizuaray      | "Organic Chemistry: The practice
Dep.of Chemistry - New York University | of transmuting vile substances 
4 Washington Pl, Room 514. NY 10003    | into publications" (The Last Word-
    [email-masked]       | The Ultimate Scientific Dictionary)